---
title: "Submit reinstatement transaction request"
url: "https://developers.zinnia.com/apis/policy-transactions-1-0-2/versions/d0006570-ab9d-464e-814f-d120ba425e84/operations/submitReinstatementTransaction"
---

> Full API specification: https://developers.zinnia.com/apis/policy-transactions-1-0-2/versions/d0006570-ab9d-464e-814f-d120ba425e84.md

# Submit reinstatement transaction request

`POST` `/policy/v1/transactions/{planCode}/{policyNumber}/reinstatement`

Operation ID: `submitReinstatementTransaction`

Submits a policy reinstatement transaction request

## Path parameters

- `planCode` (string, required) - The plan code for the policy
- `policyNumber` (string, required) - The policy number

## Request body (required)

Content types: `application/json`

## Responses

- `202` - Success
- `400` - Returns Error - Bad Request

## OpenAPI definition

```yaml
openapi: 3.1.0
info:
  title: Zinnia Policy Transactions API.
  version: 1.0.8
servers:
  - url: https://dev.api.zinnia.io
    description: DEV Environment
  - url: https://qa.api.zinnia.io
    description: QA Environment
paths:
  /policy/v1/transactions/{planCode}/{policyNumber}/reinstatement:
    post:
      summary: Submit reinstatement transaction request
      description: Submits a policy reinstatement transaction request
      tags:
        - Financial Transactions
      operationId: submitReinstatementTransaction
      parameters:
        - name: planCode
          in: path
          required: true
          description: The plan code for the policy
          schema:
            type: string
            example: planCode
        - name: policyNumber
          in: path
          required: true
          description: The policy number
          schema:
            type: string
            example: policyNumber
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: "#/components/schemas/ReinstatementSubmitRequest"
      responses:
        "202":
          description: Success
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/TransactionAcceptedResponse"
        "400":
          description: Returns Error - Bad Request
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/ReinstatementErrorResponse"
      security:
        - Auth0: []
      x-kong-plugin-pre-function:
        config:
          access:
            - >
              local path = kong.request.get_path()

              local new_path = path:gsub("^/policy/v1/transactions",
              "/bpm/v1/policies")

              kong.service.request.set_path(new_path)
security:
  - Auth0: []
components:
  schemas:
    ReinstatementSubmitRequest:
      type: object
      required:
        - correlationId
        - effectiveDate
        - policy
        - transactionAmounts
        - systematicProgram
        - caseId
      properties:
        correlationId:
          type: string
          description: The unique ID to track transaction request across all systems
          example: 657b717b7dcf554abf9ef067
        effectiveDate:
          type: string
          format: date
          description: Date when the transaction was originally scheduled or expected to
            happen. It can be a non-business day
          example: 2023-01-01
        reverseInitiator:
          type: boolean
          description: Property to isolate source transaction(s) that initiated the reversal
          default: false
        policy:
          type: object
          required:
            - policyFeatures
          description: Policy information
          properties:
            policyFeatures:
              type: array
              items:
                type: object
                properties:
                  featureType:
                    type: string
                    example: REINSTATEMENT
                  approvalDate:
                    type: string
                    format: date
                    example: 2025-08-26
                  effectiveDate:
                    type: string
                    format: date
                    example: 2025-08-26
                  underwritingDecision:
                    type: string
                    example: APPROVED
        transactionAmounts:
          type: object
          description: Transaction amounts information
          properties:
            externalIdentifiers:
              type: object
              properties:
                externalTransactionId:
                  type: string
                  description: The unique ID to identify transaction on carrier side.
                  example: AWRT123
                referenceNumber:
                  type: string
                  description: The unique payment reference number for all premium-related
                    transactions by carrier.
                  example: AWRT123
            parties:
              type: array
              items:
                type: object
                properties:
                  paymentForm:
                    type: string
                    example: DTCC
                  partyRole:
                    type: string
                    example: PAYOR
            requestedAmount:
              type: number
              example: 0
        systematicProgram:
          type: object
          description: Systematic program information
          properties:
            paymentForm:
              type: string
              example: DTCC
            arrangementType:
              type: string
              example: PAYMENT
            amountType:
              type: string
              example: AMOUNT
            amount:
              type: number
              example: 0
            frequency:
              type: string
              example: DAILY
            externalIdentifiers:
              type: object
              properties:
                externalArrangementId:
                  type: string
                  example: AWRT123
        caseId:
          type: string
          description: Zinnia Live Case ID
          example: CA0000007389
    TransactionAcceptedResponse:
      type: object
      properties:
        correlationId:
          type: string
          example: 3a2a3435-2089-4b81-9959-e0d569ccf4f0
          description: Unique identifier which used by every system to trace the request
        caseId:
          type: string
          example: CA0000369469
          description: Zinnia Live Case ID
        caseStatus:
          type: string
          example: IN_PROGRESS
          description: Zinnia Live Case Status
        pdfId:
          type: string
          description: Identifier for the generated or associated PDF document (e.g.
            OnBase document number). Returned on systematic program setup and
            update submit when available.
          example: DOC-10004567
    ReinstatementErrorResponse:
      type: object
      properties:
        status:
          type: string
          description: Status of the request
          example: string
        errors:
          type: array
          items:
            type: object
            properties:
              errorCode:
                type: string
                description: Error code
                example: string
              attribute:
                type: string
                description: Attribute related to the error
                example: string
              error:
                type: string
                description: Error description
                example: string
              resolution:
                type: string
                description: Resolution suggestion
                example: string
  securitySchemes:
    Auth0:
      type: openIdConnect
      openIdConnectUrl: https://login.qa.zinnia.com/.well-known/openid-configuration
      x-kong-security-openid-connect:
        config:
          run_on_preflight: true
          scopes_claim:
            - https://qa.api.zinnia.io/permissions
          audience_claim:
            - aud
          audience_required:
            - https://qa.api.zinnia.io
          client_id:
            - client_id
          auth_methods:
            - bearer
        enabled: true
        protocols:
          - grpc
          - grpcs
          - http
          - https
```
